package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussDeviceDetail implements Serializable {
    private Integer id;

    private String code;

    private String vendercode;

    private String devicelogo;

    private String vendername;

    private String vendermodel;

    private String aislemodel;

    private String type;

    private String groupno;

    private String introdesc;

    private Integer seq;

    private Integer status;

    private Date createdt;

    private BigDecimal unitprice;

    private String maxordercount;

    private String detail;

    private Integer size;

    private BigDecimal wholesaleprice;

    private Integer wholesaleminnum;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public String getVendercode() {
        return vendercode;
    }

    public void setVendercode(String vendercode) {
        this.vendercode = vendercode == null ? null : vendercode.trim();
    }

    public String getDevicelogo() {
        return devicelogo;
    }

    public void setDevicelogo(String devicelogo) {
        this.devicelogo = devicelogo == null ? null : devicelogo.trim();
    }

    public String getVendername() {
        return vendername;
    }

    public void setVendername(String vendername) {
        this.vendername = vendername == null ? null : vendername.trim();
    }

    public String getVendermodel() {
        return vendermodel;
    }

    public void setVendermodel(String vendermodel) {
        this.vendermodel = vendermodel == null ? null : vendermodel.trim();
    }

    public String getAislemodel() {
        return aislemodel;
    }

    public void setAislemodel(String aislemodel) {
        this.aislemodel = aislemodel == null ? null : aislemodel.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public String getGroupno() {
        return groupno;
    }

    public void setGroupno(String groupno) {
        this.groupno = groupno == null ? null : groupno.trim();
    }

    public String getIntrodesc() {
        return introdesc;
    }

    public void setIntrodesc(String introdesc) {
        this.introdesc = introdesc == null ? null : introdesc.trim();
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public BigDecimal getUnitprice() {
        return unitprice;
    }

    public void setUnitprice(BigDecimal unitprice) {
        this.unitprice = unitprice;
    }

    public String getMaxordercount() {
        return maxordercount;
    }

    public void setMaxordercount(String maxordercount) {
        this.maxordercount = maxordercount == null ? null : maxordercount.trim();
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail == null ? null : detail.trim();
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public BigDecimal getWholesaleprice() {
        return wholesaleprice;
    }

    public void setWholesaleprice(BigDecimal wholesaleprice) {
        this.wholesaleprice = wholesaleprice;
    }

    public Integer getWholesaleminnum() {
        return wholesaleminnum;
    }

    public void setWholesaleminnum(Integer wholesaleminnum) {
        this.wholesaleminnum = wholesaleminnum;
    }
}